import FWCore.ParameterSet.Config as cms
process = cms.Process("photonAnalysis")

process.load("RecoEcal.EgammaClusterProducers.geometryForClustering_cff")
process.load("Configuration.StandardSequences.Geometry_cff")
process.load("DQMOffline.EGamma.egammaDQMOffline_cff")
process.load("DQMServices.Components.MEtoEDMConverter_cff")


DQMStore = cms.Service("DQMStore")


process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(1000)
)


process.source = cms.Source("PoolSource",
    fileNames = cms.untracked.vstring(


#        '/store/relval/CMSSW_2_1_6/RelValSingleGammaPt35/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/IDEAL_V9_v1/0000/024D606A-C078-DD11-BA5C-001D09F24498.root',
#        '/store/relval/CMSSW_2_1_6/RelValSingleGammaPt35/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/IDEAL_V9_v1/0000/02EDC451-C078-DD11-8C66-0019B9F707D8.root',
#        '/store/relval/CMSSW_2_1_6/RelValSingleGammaPt35/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/IDEAL_V9_v1/0000/06EEB605-C078-DD11-8FC3-001D09F27067.root',
#        '/store/relval/CMSSW_2_1_6/RelValSingleGammaPt35/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/IDEAL_V9_v1/0000/881B6B6A-C078-DD11-81E6-001D09F2514F.root',
#        '/store/relval/CMSSW_2_1_6/RelValSingleGammaPt35/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/IDEAL_V9_v1/0001/A2A5E967-EB78-DD11-8847-001617C3B6DE.root'



    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/00657640-4D76-DD11-8EEA-001A92971B5E.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/00A167F4-4D76-DD11-9BC9-001A92810A9E.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/02586376-4E76-DD11-A22C-001A92810ACE.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/026D8D89-4C76-DD11-8A4E-0018F3D09696.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/06AB922D-4D76-DD11-A9E0-001A92971B94.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/0809ACE0-4D76-DD11-B20F-0030487566E9.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/080D8CF7-4D76-DD11-9CDE-001A92971B62.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/08A410AE-4E76-DD11-A735-001A9281174A.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/0A93FFBD-4F76-DD11-84F0-0018F3D09704.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/0C8EAF82-4C76-DD11-A2BC-001BFCDBD130.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/0CB18BDB-4E76-DD11-B5B7-0018F3D095F6.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/0E3313F9-4D76-DD11-9CF6-001A92971B68.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/0E7ECD26-4D76-DD11-B4FF-001731AF6AE7.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/0EE1E16C-4E76-DD11-BC8D-0018F3D096F8.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/14202DE7-4D76-DD11-8FAE-001A928116C2.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/14318367-4D76-DD11-B615-001A92971BD8.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/1464BB3D-4D76-DD11-8231-0018F3D096DA.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/1464CBC0-4676-DD11-804B-001BFCDBD176.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/1C73EFEC-4D76-DD11-86DA-001731AF67BF.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/1E3CADA6-4C76-DD11-ACA2-001A92971AA4.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/1E70BEA2-4C76-DD11-82CD-001A92811738.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/207E85D5-4C76-DD11-B9BB-0018F3D096EA.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/224B16D4-4D76-DD11-9469-00304875AC61.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/22A43DCB-4E76-DD11-8BFE-001A928116CE.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/22AB09EA-4D76-DD11-B595-0018F3D09642.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/24913CED-4D76-DD11-8955-003048767CEF.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/24BA1D82-4F76-DD11-8815-001A92971B5E.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/260D691B-4D76-DD11-B85F-001A92810AA2.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/28460372-4E76-DD11-87BF-001A92811702.root',
    '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/2A116304-4E76-DD11-AA99-001A928116FA.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/2AFD03F0-4D76-DD11-A34A-003048767EFD.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/2C7D3C66-2276-DD11-9A07-001A92971B5E.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/3002C3E1-4676-DD11-A6FD-0018F3D096AE.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/30D11553-2776-DD11-9F8D-003048767ED1.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/341CE539-2276-DD11-845A-0018F3D09686.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/34ABBF8A-4E76-DD11-AF3E-001A9281172C.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/3837CA28-4D76-DD11-9989-001731AF671B.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/386620DF-4D76-DD11-8141-001731AF6BD3.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/38A39193-4F76-DD11-870E-0018F3D09706.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/3A06AC3E-4D76-DD11-BFC8-0018F3D0969A.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/3A8C6057-4F76-DD11-87A1-001731AF66F7.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/3C5E9C2A-4E76-DD11-AB4B-001A92971BBE.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/3E9CB689-4E76-DD11-B280-001A9281170C.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/3EC933C7-4876-DD11-B59A-00304875AA0B.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/40095478-4E76-DD11-9B8C-001731AF6A4B.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/427DF223-4D76-DD11-A0E2-001A92971B84.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/42FBC625-4E76-DD11-9522-001A92811748.root',
        '/store/relval/CMSSW_2_1_2/RelValQCD_Pt_50_80/GEN-SIM-DIGI-RAW-HLTDEBUG-RECO/STARTUP_V5_v2/0000/4635ECDD-4676-DD11-8FD0-001A9281173C.root'




))



process.FEVT = cms.OutputModule("PoolOutputModule",
    outputCommands = cms.untracked.vstring("keep *_MEtoEDMConverter_*_*"),
    fileName = cms.untracked.string('photonsMEtoEDMConverter.root')
)


#process.p1 = cms.Path(process.photonAnalysis*process.MEtoEDMConverter)
process.p1 = cms.Path(process.egammaDQMOffline)
process.schedule = cms.Schedule(process.p1)

